osl::eval::ml::NumPiecesBetweenBishopAndKingAll Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 9 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Detailed Description

Definition at line 526 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 529 of file majorPiece.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::NumPiecesBetweenBishopAndKingAll::setUp | ( | const Weights & | weights | ) |

static

Definition at line 822 of file majorPiece.cc.

References osl::eval::ml::NumPiecesBetweenBishopAndKing::all_table, osl::NStages, ONE_DIM, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc